LibreOffice LibreOffice 5.3 SDK API Reference

Public Attributes | List of all members
DataPilotTableHeaderData Struct Reference

information about a cell within the column or row header area of a DataPilot table. More...

`import"DataPilotTableHeaderData.idl";`

## Public Attributes
long | Dimension
| number of dimensions More...
long | Hierarchy
| hierarchy More...
long | Level
| level More...
long | Flags
| flag More...
string | MemberName
| member name More...

## Detailed Description

information about a cell within the column or row header area of a DataPilot table.

This struct contains information about a particular cell located within the column or row header area of a DataPilot table. This is the type that is contained in DataPilotTablePositionData::PositionData when the value of DataPilotTablePositionData::PositionType is either DataPilotTablePositionType::ROW_HEADER or DataPilotTablePositionType::COLUMN_HEADER.

See also
  com::sun::star::sheet::DataPilotTablePositionData
  com::sun::star::sheet::DataPilotTablePositionType
  com::sun::star::sheet::DataPilotFieldFilter
  com::sun::star::sheet::DataResult

Since
  OOo 3.0

## Member Data Documentation

## ◆ Dimension

long Dimension

number of dimensions

## ◆ Flags

long Flags

flag

## ◆ Hierarchy

long Hierarchy

hierarchy

## ◆ Level

long Level

level

## ◆ MemberName

string MemberName

member name

The documentation for this struct was generated from the following file:

- com/sun/star/sheet/DataPilotTableHeaderData.idl